import request from '@/utils/request'

// 查询cmc项目分包合同列表
export function listProjectSubcontract(query) {
  return request({
    url: '/oa/projectSubcontract/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目分包合同详细
export function getProjectSubcontract(projectId) {
  return request({
    url: '/oa/projectSubcontract/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目分包合同
export function addProjectSubcontract(data) {
  return request({
    url: '/oa/projectSubcontract',
    method: 'post',
    data: data
  })
}

// 修改cmc项目分包合同
export function updateProjectSubcontract(data) {
  return request({
    url: '/oa/projectSubcontract',
    method: 'put',
    data: data
  })
}

// 删除cmc项目分包合同
export function delProjectSubcontract(projectId) {
  return request({
    url: '/oa/projectSubcontract/' + projectId,
    method: 'delete'
  })
}
